be.fgov.ehealth.dics.protocol.v4

## Class DomainType

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v4.DomainType

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T11:12:07+01:00",
                 comments="JAXB RI v2.2.11")
      public class DomainType
      extends Object
      implements Serializable

  Java class for DomainType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="DomainType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <choice>
               <element name="Quantity" type="{urn:be:fgov:ehealth:dics:core:v4:core}QuantityType"/>
               <element name="QuantityRange" type="{urn:be:fgov:ehealth:dics:core:v4:core}RangeType"/>
               <element name="Strength" type="{urn:be:fgov:ehealth:dics:core:v4:core}StrengthType"/>
               <element name="StrengthRange" type="{urn:be:fgov:ehealth:dics:core:v4:core}StrengthRangeType"/>
               <element name="Code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             </choice>
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DomainType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCode()` Gets the value of the code property.
    `QuantityType` | `getQuantity()` Gets the value of the quantity property.
    `RangeType` | `getQuantityRange()` Gets the value of the quantityRange property.
    `StrengthType` | `getStrength()` Gets the value of the strength property.
    `StrengthRangeType` | `getStrengthRange()` Gets the value of the strengthRange property.
    `void` | `setCode(String value)` Sets the value of the code property.
    `void` | `setQuantity(QuantityType value)` Sets the value of the quantity property.
    `void` | `setQuantityRange(RangeType value)` Sets the value of the quantityRange property.
    `void` | `setStrength(StrengthType value)` Sets the value of the strength property.
    `void` | `setStrengthRange(StrengthRangeType value)` Sets the value of the strengthRange property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DomainType

          public DomainType()

  - ### Method Detail

    - #### getCode

          public String getCode()

      Gets the value of the code property.
      Returns:
        possible object is `String`

    - #### setCode

          public void setCode(String value)

      Sets the value of the code property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStrengthRange

          public StrengthRangeType getStrengthRange()

      Gets the value of the strengthRange property.
      Returns:
        possible object is `StrengthRangeType`

    - #### setStrengthRange

          public void setStrengthRange(StrengthRangeType value)

      Sets the value of the strengthRange property.
      Parameters:
        `value` - allowed object is `StrengthRangeType`

    - #### getStrength

          public StrengthType getStrength()

      Gets the value of the strength property.
      Returns:
        possible object is `StrengthType`

    - #### setStrength

          public void setStrength(StrengthType value)

      Sets the value of the strength property.
      Parameters:
        `value` - allowed object is `StrengthType`

    - #### getQuantityRange

          public RangeType getQuantityRange()

      Gets the value of the quantityRange property.
      Returns:
        possible object is `RangeType`

    - #### setQuantityRange

          public void setQuantityRange(RangeType value)

      Sets the value of the quantityRange property.
      Parameters:
        `value` - allowed object is `RangeType`

    - #### getQuantity

          public QuantityType getQuantity()

      Gets the value of the quantity property.
      Returns:
        possible object is `QuantityType`

    - #### setQuantity

          public void setQuantity(QuantityType value)

      Sets the value of the quantity property.
      Parameters:
        `value` - allowed object is `QuantityType`

Connector Packaging PERSPODOLOGIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.